public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Horea Christian" <horea.christ@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/
Date: Wed,  7 Feb 2024 22:04:41 +0000 (UTC)	[thread overview]
Message-ID: <1707343474.a36119808ae75face220ce5592d97de746401f91.chymera@gentoo> (raw)

commit:     a36119808ae75face220ce5592d97de746401f91
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Wed Feb  7 22:04:34 2024 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Wed Feb  7 22:04:34 2024 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=a3611980

dev-python/numcodecs: add 0.12.1

Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 dev-python/numcodecs/numcodecs-0.12.1.ebuild | 39 ++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-python/numcodecs/numcodecs-0.12.1.ebuild b/dev-python/numcodecs/numcodecs-0.12.1.ebuild
new file mode 100644
index 000000000..9adba559f
--- /dev/null
+++ b/dev-python/numcodecs/numcodecs-0.12.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi
+
+DESCRIPTION="Data storage buffer compression and transformation codecs"
+HOMEPAGE="https://github.com/zarr-developers/numcodecs"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	dev-python/entrypoints[${PYTHON_USEDEP}]
+	dev-python/hdmf-zarr[${PYTHON_USEDEP}]
+	dev-python/msgpack[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/py-cpuinfo[${PYTHON_USEDEP}]
+"
+
+DEPEND="
+	test? (
+		${RDEPEND}
+		dev-python/entrypoints[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	cd "${T}" || die
+	epytest --pyargs numcodecs
+}


             reply	other threads:[~2024-02-07 22:04 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-07 22:04 Horea Christian [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-06 14:29 [gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/ Nowa Ammerlaan
2025-02-06 14:29 Nowa Ammerlaan
2024-02-09 18:22 Horea Christian
2024-02-08 20:52 Horea Christian
2023-05-17 18:28 Horea Christian
2023-05-15 16:04 Horea Christian
2023-05-15 16:01 Horea Christian
2023-05-02 22:34 Horea Christian
2023-05-02 22:32 Horea Christian
2022-07-12 17:15 Horea Christian
2022-03-27  2:25 Horea Christian

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1707343474.a36119808ae75face220ce5592d97de746401f91.chymera@gentoo \
    --to=horea.christ@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox